Refreshing Token

Refreshing Hot JWT Token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Due to the short lifetime of Hot Recharge API tokens it is important to implement refreshing of tokens so that you do not need to re-authenticate.

Refresh Request

FieldTypeDescription
tokenstringJWT Token provided in authentication response
refreshTokenstringRefresh Token provided in authentication response

Refresh Response

FieldTypeDescription
tokenstringNew JWT Token for use
refreshTokenstringRefresh Token for us in refreshing token
{
    "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ0ZXN0QGhvdC5jby56dyIsImp0aSI6IjFkNjI2YjkwLTJjZjctNGQyMC04NzllLTczODg1ZGQ0ZDliYSIsImVtYWlsIjoidGVzdEBob3QuY28uenciLCJpZCI6IjEyMzQ1NiIsIkFjY291bnRJZCI6IjEyMzQ1NiIsIm5iZiI6MTY5NDUwNDc0NywiZXhwIjoxNjk0NTA1MDQ3LCJpYXQiOjE2OTQ1MDQ3NDd9.7x0bZu8Q_Kxlvou_4TzXaiProbAnv2sYL1uwKxfGoWE",
    "refreshToken": "GbJKHE7zww6Ng9vsbzmuo6G19k6aL+UxVox+ITeQz7E="
}
{
  "errors": [
    "User/password combination is wrong."
  ]
}
Body Params
string

The JWT Token that has Expired

string

Refresh Token provided during login

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json